WP6GraphicsFilenamePacket Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP6GraphicsFilenamePacket Class Reference

`#include <WP6GraphicsFilenamePacket.h>`

Inheritance diagram for WP6GraphicsFilenamePacket:

## Public Member Functions
| WP6GraphicsFilenamePacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, const unsigned char flags, unsigned dataOffset, unsigned dataSize)
| ~WP6GraphicsFilenamePacket ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *) const
const std::vector< unsigned > | getChildIds () const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual WP6SubDocument * | getSubDocument () const
unsigned | getDataSize () const

## Private Member Functions
| WP6GraphicsFilenamePacket (const WP6GraphicsFilenamePacket &)
WP6GraphicsFilenamePacket & | operator= (const WP6GraphicsFilenamePacket &)

## Private Attributes
std::vector< unsigned > | m_childIds
const unsigned char | m_flags

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static WP6PrefixDataPacket * | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6PrefixIndice *prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

WP6GraphicsFilenamePacket::WP6GraphicsFilenamePacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | const unsigned char | flags,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

WP6GraphicsFilenamePacket::~WP6GraphicsFilenamePacket | ( |  | ) |

WP6GraphicsFilenamePacket::WP6GraphicsFilenamePacket | ( | const WP6GraphicsFilenamePacket & |  | ) |
| private

## Member Function Documentation

void WP6GraphicsFilenamePacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Implements WP6PrefixDataPacket.

const std::vector< unsigned > WP6GraphicsFilenamePacket::getChildIds | ( |  | ) | const

WP6GraphicsFilenamePacket& WP6GraphicsFilenamePacket::operator= | ( | const WP6GraphicsFilenamePacket & |  | ) |
| private

void WP6GraphicsFilenamePacket::parse | ( | WP6Listener * |  | ) | const
| inlinevirtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

std::vector<unsigned> WP6GraphicsFilenamePacket::m_childIds
| private

Referenced by _readContents(), and getChildIds().

const unsigned char WP6GraphicsFilenamePacket::m_flags
| private

Referenced by _readContents().

The documentation for this class was generated from the following files:

- WP6GraphicsFilenamePacket.h
- WP6GraphicsFilenamePacket.cpp